#
# spec file for package python-Attest
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-Attest
Version:        0.5.3
Release:        12.3
Url:            https://github.com/dag/attest
Summary:        Modern, Pythonic unit testing
License:        BSD-2-Clause
Group:          Development/Languages/Python
Source:         http://pypi.python.org/packages/source/A/Attest/Attest-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-Pygments
BuildRequires:  python-devel
BuildRequires:  python-progressbar >= 2.3
BuildRequires:  python-setuptools
Requires:       python-Pygments
Requires:       python-progressbar >= 2.3
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Attest is a unit testing framework built from the ground up with idiomatic
Python in mind. Unlike others, it is not built on top of unittest though it
provides compatibility by creating TestSuites from Attest collections.

It has a functional API inspired by Flask and a class-based API that
mimics Python itself. The core avoids complicated assumptions leaving you
free to write tests however you prefer.

%prep
%setup -q -n Attest-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc AUTHORS.rst LICENSE CHANGES.rst README.rst docs/*
%{python_sitelib}/*

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jan 30 2013 saschpe@suse.de
- Drop unused macros
* Sat Jan 12 2013 p.drouand@gmail.com
- Initial python3 support
* Fri Jun 22 2012 saschpe@suse.de
- Update to version 0.5.3:
  + Fix the installation: depend on progressbar>=2.3, not 2.3-dev.
    (setuptools considers 2.3 earlier than 2.3-dev.)
* Tue Jan 31 2012 saschpe@suse.de
- Initial version
